IXAudio2MasteringVoiceVtbl Struct Reference

`#include <SDL_xaudio2.h>`

Collaboration diagram for IXAudio2MasteringVoiceVtbl:
[legend]

## Public Member Functions

| STDMETHOD_ (VOID, GetVoiceDetails)(THIS
| STDMETHOD_ (HRESULT, SetOutputVoices)(THIS
| STDMETHOD_ (HRESULT, SetEffectChain)(THIS
| STDMETHOD_ (HRESULT, EnableEffect)(THIS
| STDMETHOD_ (HRESULT, DisableEffect)(THIS
| STDMETHOD_ (VOID, GetEffectState)(THIS
| STDMETHOD_ (HRESULT, SetEffectParameters)(THIS
| STDMETHOD_ (VOID, GetEffectParameters)(THIS
| STDMETHOD_ (HRESULT, SetFilterParameters)(THIS
| STDMETHOD_ (VOID, GetFilterParameters)(THIS
| STDMETHOD_ (HRESULT, SetOutputFilterParameters)(THIS
| STDMETHOD_ (VOID, GetOutputFilterParameters)(THIS
| STDMETHOD_ (HRESULT, SetVolume)(THIS
| STDMETHOD_ (VOID, GetVolume)(THIS
| STDMETHOD_ (HRESULT, SetChannelVolumes)(THIS
| STDMETHOD_ (VOID, GetChannelVolumes)(THIS
| STDMETHOD_ (HRESULT, SetOutputMatrix)(THIS
| STDMETHOD_ (VOID, GetOutputMatrix)(THIS
| STDMETHOD_ (VOID, DestroyVoice)(THIS) PURE
| STDMETHOD_ (VOID, GetChannelMask)(THIS

## Data Fields

XAUDIO2_VOICE_DETAILS *pVoiceDetails | PURE
const XAUDIO2_VOICE_SENDS *pSendList | PURE
const XAUDIO2_EFFECT_CHAIN *pEffectChain | PURE
UINT32 | EffectIndex
UINT32 UINT32 OperationSet | PURE
UINT32 BOOL *pEnabled | PURE
UINT32 const void * | pParameters
UINT32 const void UINT32 | ParametersByteSize
UINT32 const void UINT32 UINT32 OperationSet | PURE
UINT32 void * | pParameters
UINT32 void UINT32 ParametersByteSize | PURE
const XAUDIO2_FILTER_PARAMETERS * | pParameters
const XAUDIO2_FILTER_PARAMETERS UINT32 OperationSet | PURE
XAUDIO2_FILTER_PARAMETERS *pParameters | PURE
IXAudio2Voice * | pDestinationVoice
IXAudio2Voice XAUDIO2_FILTER_PARAMETERS * | pParameters
IXAudio2Voice XAUDIO2_FILTER_PARAMETERS UINT32 OperationSet | PURE
IXAudio2Voice XAUDIO2_FILTER_PARAMETERS *pParameters | PURE
float | Volume
float UINT32 OperationSet | PURE
float *pVolume | PURE
UINT32 | Channels
UINT32 const float * | pVolumes
UINT32 const float UINT32 OperationSet | PURE
UINT32 float *pVolumes | PURE
IXAudio2Voice UINT32 | SourceChannels
IXAudio2Voice UINT32 UINT32 | DestinationChannels
IXAudio2Voice UINT32 UINT32 const float * | pLevelMatrix
IXAudio2Voice UINT32 UINT32 const float UINT32 OperationSet | PURE
IXAudio2Voice UINT32 UINT32 float *pLevelMatrix | PURE
DWORD *pChannelMask | PURE

## Detailed Description

Definition at line 304 of file SDL_xaudio2.h.

## Member Function Documentation

IXAudio2MasteringVoiceVtbl::STDMETHOD_ | ( | VOID | ,
|  | GetVoiceDetails |
| ) |  |

IXAudio2MasteringVoiceVtbl::STDMETHOD_ | ( | HRESULT | ,
|  | SetOutputVoices |
| ) |  |

IXAudio2MasteringVoiceVtbl::STDMETHOD_ | ( | HRESULT | ,
|  | SetEffectChain |
| ) |  |

IXAudio2MasteringVoiceVtbl::STDMETHOD_ | ( | HRESULT | ,
|  | EnableEffect |
| ) |  |

IXAudio2MasteringVoiceVtbl::STDMETHOD_ | ( | HRESULT | ,
|  | DisableEffect |
| ) |  |

IXAudio2MasteringVoiceVtbl::STDMETHOD_ | ( | VOID | ,
|  | GetEffectState |
| ) |  |

IXAudio2MasteringVoiceVtbl::STDMETHOD_ | ( | HRESULT | ,
|  | SetEffectParameters |
| ) |  |

IXAudio2MasteringVoiceVtbl::STDMETHOD_ | ( | VOID | ,
|  | GetEffectParameters |
| ) |  |

IXAudio2MasteringVoiceVtbl::STDMETHOD_ | ( | HRESULT | ,
|  | SetFilterParameters |
| ) |  |

IXAudio2MasteringVoiceVtbl::STDMETHOD_ | ( | VOID | ,
|  | GetFilterParameters |
| ) |  |

IXAudio2MasteringVoiceVtbl::STDMETHOD_ | ( | HRESULT | ,
|  | SetOutputFilterParameters |
| ) |  |

IXAudio2MasteringVoiceVtbl::STDMETHOD_ | ( | VOID | ,
|  | GetOutputFilterParameters |
| ) |  |

IXAudio2MasteringVoiceVtbl::STDMETHOD_ | ( | HRESULT | ,
|  | SetVolume |
| ) |  |

IXAudio2MasteringVoiceVtbl::STDMETHOD_ | ( | VOID | ,
|  | GetVolume |
| ) |  |

IXAudio2MasteringVoiceVtbl::STDMETHOD_ | ( | HRESULT | ,
|  | SetChannelVolumes |
| ) |  |

IXAudio2MasteringVoiceVtbl::STDMETHOD_ | ( | VOID | ,
|  | GetChannelVolumes |
| ) |  |

IXAudio2MasteringVoiceVtbl::STDMETHOD_ | ( | HRESULT | ,
|  | SetOutputMatrix |
| ) |  |

IXAudio2MasteringVoiceVtbl::STDMETHOD_ | ( | VOID | ,
|  | GetOutputMatrix |
| ) |  |

IXAudio2MasteringVoiceVtbl::STDMETHOD_ | ( | VOID | ,
|  | DestroyVoice |
| ) |  |

IXAudio2MasteringVoiceVtbl::STDMETHOD_ | ( | VOID | ,
|  | GetChannelMask |
| ) |  |

## Field Documentation

UINT32 IXAudio2MasteringVoiceVtbl::Channels

Definition at line 336 of file SDL_xaudio2.h.

IXAudio2Voice UINT32 UINT32 IXAudio2MasteringVoiceVtbl::DestinationChannels

Definition at line 341 of file SDL_xaudio2.h.

UINT32 IXAudio2MasteringVoiceVtbl::EffectIndex

Definition at line 315 of file SDL_xaudio2.h.

UINT32 const void UINT32 IXAudio2MasteringVoiceVtbl::ParametersByteSize

Definition at line 318 of file SDL_xaudio2.h.

IXAudio2Voice * IXAudio2MasteringVoiceVtbl::pDestinationVoice

Definition at line 328 of file SDL_xaudio2.h.

IXAudio2Voice UINT32 UINT32 const float* IXAudio2MasteringVoiceVtbl::pLevelMatrix

Definition at line 341 of file SDL_xaudio2.h.

UINT32 const void* IXAudio2MasteringVoiceVtbl::pParameters

Definition at line 318 of file SDL_xaudio2.h.

UINT32 void* IXAudio2MasteringVoiceVtbl::pParameters

Definition at line 322 of file SDL_xaudio2.h.

const XAUDIO2_FILTER_PARAMETERS* IXAudio2MasteringVoiceVtbl::pParameters

Definition at line 325 of file SDL_xaudio2.h.

IXAudio2Voice XAUDIO2_FILTER_PARAMETERS* IXAudio2MasteringVoiceVtbl::pParameters

Definition at line 328 of file SDL_xaudio2.h.

UINT32 UINT32 OperationSet IXAudio2MasteringVoiceVtbl::PURE

Definition at line 312 of file SDL_xaudio2.h.

const XAUDIO2_VOICE_SENDS* pSendList IXAudio2MasteringVoiceVtbl::PURE

Definition at line 313 of file SDL_xaudio2.h.

const XAUDIO2_EFFECT_CHAIN* pEffectChain IXAudio2MasteringVoiceVtbl::PURE

Definition at line 314 of file SDL_xaudio2.h.

UINT32 UINT32 OperationSet IXAudio2MasteringVoiceVtbl::PURE

Definition at line 315 of file SDL_xaudio2.h.

UINT32 BOOL* pEnabled IXAudio2MasteringVoiceVtbl::PURE

Definition at line 317 of file SDL_xaudio2.h.

UINT32 const void UINT32 UINT32 OperationSet IXAudio2MasteringVoiceVtbl::PURE

Definition at line 318 of file SDL_xaudio2.h.

UINT32 void UINT32 ParametersByteSize IXAudio2MasteringVoiceVtbl::PURE

Definition at line 322 of file SDL_xaudio2.h.

const XAUDIO2_FILTER_PARAMETERS UINT32 OperationSet IXAudio2MasteringVoiceVtbl::PURE

Definition at line 325 of file SDL_xaudio2.h.

XAUDIO2_FILTER_PARAMETERS* pParameters IXAudio2MasteringVoiceVtbl::PURE

Definition at line 327 of file SDL_xaudio2.h.

IXAudio2Voice XAUDIO2_FILTER_PARAMETERS UINT32 OperationSet IXAudio2MasteringVoiceVtbl::PURE

Definition at line 328 of file SDL_xaudio2.h.

IXAudio2Voice XAUDIO2_FILTER_PARAMETERS* pParameters IXAudio2MasteringVoiceVtbl::PURE

Definition at line 331 of file SDL_xaudio2.h.

float UINT32 OperationSet IXAudio2MasteringVoiceVtbl::PURE

Definition at line 333 of file SDL_xaudio2.h.

float* pVolume IXAudio2MasteringVoiceVtbl::PURE

Definition at line 335 of file SDL_xaudio2.h.

UINT32 const float UINT32 OperationSet IXAudio2MasteringVoiceVtbl::PURE

Definition at line 336 of file SDL_xaudio2.h.

UINT32 float* pVolumes IXAudio2MasteringVoiceVtbl::PURE

Definition at line 339 of file SDL_xaudio2.h.

IXAudio2Voice UINT32 UINT32 const float UINT32 OperationSet IXAudio2MasteringVoiceVtbl::PURE

Definition at line 341 of file SDL_xaudio2.h.

IXAudio2Voice UINT32 UINT32 float* pLevelMatrix IXAudio2MasteringVoiceVtbl::PURE

Definition at line 346 of file SDL_xaudio2.h.

DWORD* pChannelMask IXAudio2MasteringVoiceVtbl::PURE

Definition at line 353 of file SDL_xaudio2.h.

UINT32 const float* IXAudio2MasteringVoiceVtbl::pVolumes

Definition at line 336 of file SDL_xaudio2.h.

IXAudio2Voice UINT32 IXAudio2MasteringVoiceVtbl::SourceChannels

Definition at line 341 of file SDL_xaudio2.h.

float IXAudio2MasteringVoiceVtbl::Volume

Definition at line 333 of file SDL_xaudio2.h.

The documentation for this struct was generated from the following file:

- src/audio/xaudio2/SDL_xaudio2.h